#pragma once

#include "CoreMinimal.h"
#include "ERewardTrackId.h"
#include "RewardItem.h"
#include "TrackItem.generated.h"

USTRUCT(BlueprintType)
struct FTrackItem
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	ERewardTrackId TrackId;

	UPROPERTY(EditAnywhere)
	FRewardItem Rewards;

public:
	DEADBYDAYLIGHT_API FTrackItem();
};

FORCEINLINE uint32 GetTypeHash(const FTrackItem) { return 0; }
